deg = 0 : 360;
wt = deg*pi/180;

s = sin(wt);
s2 = s .* s;
c = cos(wt);
c2 = c .^ 2;

plot(deg, s)

plot(deg, c)
hold on
plot(deg, s, 'r')

close all
plot(deg, s, deg, c)
hold on
plot(deg, s2, 'm', deg, c2, 'c')

axis([0 360 -1 1]) # mora , in Python
set(gca,'XTick',0:60:360)

xlabel('wt [deg]')
ylabel('sin, cos, sin^2, cos^2')
title('funkcije')

print('slika.png', '-dpng')
print('slika.pdf', '-dpdf')
print('slika.eps', '-deps')

data = [deg' wt' s' c' s2' c2'];
save data data

